Description

When there are adjacent (bordering) polygons with the same dashed/dotted outline in one layer it should be rendered as one

dashed/dotted outline. Otherwise it creates confusing outlines anywhere between dashed/dotted line and solid line.

History

#1 - 2014-01-15 01:11 AM - Jukka Rahkonen

- File polygon_outlines_with_dashes.png added

Your wish is understandable but I guess it is hard to fulfill. Polygons are separate shapes so at the common borders there are two overlapping segments.

They can be drawn with dashes so that it looks good if dashing for the both segments begins from the same starting point. However, for the net of polygons

that can be impossible without cutting the segments. See attached image. Case 1 looks good as well as case 2 but case 3 looks like a solid line. However,

I can't imagine how it could be possible to make a general solution for making both 2 and 3 look good at the same without cutting the long segment at the

marked place.

The common way to get the result you want is to convert polygons into linestrings and remove overlapping segments.

#2 - 2014-01-15 03:20 AM - Miroslav Umlauf

Fair enough. It is possible to achieve that through conversion to lines and removing overlaps. I thought other software care about this issue but not that sure

now. Anyway it's true it is not needed when there is kind of easy workaround. Thank you.

#3 - 2014-01-16 02:56 AM - Paolo Cavallini

- Subject changed from Bordering polygons dash and dot outline not rendering systemitacally to Bordering polygons dash and dot outline not rendering 

systematically

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
